Editar punto de venta
curl --request PUT \
--url https://api.filexpress.app/api/external/points-of-sale/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"is_active": false
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: false})
};
fetch('https://api.filexpress.app/api/external/points-of-sale/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/points-of-sale/{id}"
payload = { "is_active": False }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/points-of-sale/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'is_active' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"business_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"branch_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"code": "P002",
"name": "Caja 2",
"is_default": false,
"is_active": false,
"created_at": "2026-10-08T15:00:00.000000Z",
"updated_at": "2026-10-08T15:00:00.000000Z",
"current_session": null,
"last_session": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"status": "closed",
"opening_date": "2026-10-08T08:00:00.000000Z",
"closing_date": "2026-10-08T18:00:00.000000Z",
"opened_by_user": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"closed_by_user": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"name": "Luis Pérez"
}
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Point of sale not found."
}{
"status": false,
"message": "Errores de validación",
"errors": {
"is_active": [
"No se puede desactivar el punto de venta predeterminado."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Editar punto de venta
Cambia el nombre o activa/desactiva el punto de venta. El código no cambia; los documentos emitidos no se modifican.
Permiso requerido: branches.write
PUT
/
points-of-sale
/
{id}
Editar punto de venta
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID del punto de venta
Body
application/json